# Class Error404

#### Hierarchy (view full)

- RWSError
  - Error404

- Defined in src/errors/Error404.ts:3

#####
Index

### Constructors

constructor

### Properties

baseError
code
message
name
stack?

### Methods

getCode
getMessage
getStackTraceString
printFullError

## Constructors

### constructor

- new Error404(baseError, resourcePath, params?): Error404

- #### Parameters

  - ##### baseError: unknown

  - ##### resourcePath: string

  - ##### params: any = null

  #### Returns Error404

  Overrides RWSError.constructor

  - Defined in src/errors/Error404.ts:6

## Properties

### `Protected` baseError

baseError: any

Inherited from RWSError.baseError

- Defined in src/errors/_error.ts:2

### `Protected` code

code: number

Inherited from RWSError.code

- Defined in src/errors/_error.ts:5

### `Protected` message

message: string

Inherited from RWSError.message

- Defined in src/errors/_error.ts:4

### name

name: string = '404 Resource not found'

Overrides RWSError.name

- Defined in src/errors/Error404.ts:4

### `Protected` `Optional` stack

stack?: string = null

Inherited from RWSError.stack

- Defined in src/errors/_error.ts:6

## Methods

### getCode

- getCode(): number

- #### Returns number

  Inherited from RWSError.getCode

  - Defined in src/errors/_error.ts:38

### getMessage

- getMessage(): string

- #### Returns string

  Inherited from RWSError.getMessage

  - Defined in src/errors/_error.ts:33

### getStackTraceString

- getStackTraceString(): string

- #### Returns string

  Inherited from RWSError.getStackTraceString

  - Defined in src/errors/_error.ts:43

### printFullError

- printFullError(): void

- #### Returns void

  Inherited from RWSError.printFullError

  - Defined in src/errors/_error.ts:25

Generated using TypeDoc